gnutls_pkcs11_privkey_set_pin_function(3)

NAME
gnutls_pkcs11_privkey_set_pin_function - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

void gnutls_pkcs11_privkey_set_pin_function(gnutls_pkcs11_privkey_t key, gnutls_pin_callback_t fn, void * userdata);

ARGUMENTS

gnutls_pkcs11_privkey_t key
    The private key

gnutls_pin_callback_t fn
    the callback

void * userdata
    data associated with the callback

DESCRIPTION
This function will set a callback function to be used when required to access the object. This function overrides the global set using gnutls_pkcs11_set_pin_function().

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/